#ifndef DEFERRED_RENDERER_H
#define DEFERRED_RENDERER_H

#include "../common/scene.h"
#include "RayTracer.h"

class DeferredSubSamplingRayTracer : public RayTracer
{
public:
	DeferredSubSamplingRayTracer(Canvas *c) : RayTracer(c)
	{ }
	
	~DeferredSubSamplingRayTracer()
	{ }
	
	void render(SlimScene *scene);
	
private:
	void idata_interpolate(int x, int y, int dis);
	int deferred_tile_check(int x, int y, int dis);
	void deferred_sub_sample(int x, int y, int dis);
};

#endif 
