#include "RayTracer.h"
#ifdef USE_OMP
#include <omp.h>
#endif

void RayTracer::render(SlimScene *scene)
{
	#pragma omp parallel for schedule(dynamic)
	for(int j=0; j<main_scene->height; j++)
	{
		for(int i=0; i<main_scene->width; i++)
		{
			calcRay(i,j, main_scene, *main_scene->camera);
		}
		
		//if(j % 10 == 0)
		//	update_frame_output(main_scene);
	}
}
